
.header{
}

.menu{
  float: right;
  line-height: 4.5em;
    text-align: right;
    padding: 10px 0px 0px 0px;
    display: flex;
}
.menu a{
  color: rgba(25,25,25,1.00);
  text-transform: uppercase;
  text-decoration: none;
  padding: 0 10px;
  transition: 0.4s;
    font-weight: 700;
    font-size: 0.95rem;
    text-align: right;
}
.show-menu-btn, .hide-menu-btn{
  transition: 0.4s;
  font-size: 30px;
  cursor: pointer;
  display: none;
}
.show-menu-btn{
  float: right;
    padding: 10px 0px 0px 0px;
}
.show-menu-btn i{
  line-height: 50px;
    color: rgba(0,128,225,1.00);
}
.menu a:hover,
.show-menu-btn:hover,
.hide-menu-btn:hover{
  color: rgba(0,128,225,1.00);
}

#chk{
  position: absolute;
  visibility: hidden;
  z-index: -1111;
}

.content{
  padding:0px;
}



/* Dropdown container */
.dropdown {
  position: relative;
  display: flex;
  align-items: center;
    justify-content: center;
}

/* Icon styling */
.dropdown-toggle {
  cursor: pointer;
  margin-left: 5px;
  font-size: 12px;
}

/* Dropdown menu (hidden by default) */
.dropdown-menu {
    display: none;
    position: absolute;
    background: rgba(255, 255, 255, 0.9);
    min-width: 150px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    text-align: left;
    top: 35px;
}

.dropdown-menu a {
    display: block;
    padding: 10px;
    text-align: left;
    text-decoration: none;
    color: rgba(25, 25, 25, 1.00);
    font-size: 0.90rem;
    line-height: 1.1rem;
    transition: all ease-in-out 1.5s;
    border-bottom: 1px solid rgba(0, 128, 225, 0.4);
}

.dropdown-menu a:last-child {
    border-bottom: none;
}

.dropdown-menu a:hover {
    background: rgba(0, 128, 225, 1.0);
    color: rgba(255, 255, 225, 1.00);
    transition: all ease-in-out 1.5s;
}

/* Show dropdown on hover for desktop */
@media screen and (min-width: 1222px) {
  .dropdown:hover .dropdown-menu {
    display: block;
  }
}

/* Mobile dropdown */
@media screen and (max-width: 1221px) {
    
  .dropdown {
      flex-wrap: wrap;
      max-width: 250px;
      
  }
  .dropdown-menu {
    position: relative;
      background: rgba(255, 255, 255, 0.9);
      box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
      z-index: 1000;
      text-align: left;
      flex-direction: column;
        top: 0px;
    }
}













@media screen and (max-width:1221px) {
  .show-menu-btn,.hide-menu-btn{
    display: block;
  }
  .menu{
    position: fixed;
    width: 50%;
    height: 100vh;
    background: rgba(255,255,255,0.85);
    right: -100%;
    top: 0;
    text-align: center;
    padding: 80px 0;
    line-height: normal;
    transition: 0.7s;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .menu a{
    display: block;
    padding: 20px;
      text-align: center;
  }
  .hide-menu-btn{
    position: absolute;
    top: 40px;
    right: 40px;
  }
  #chk:checked ~ .menu{
    right: 0;
  }
}
